Bug 498032 - Choppy sound on Fedora 11 (and 10)
Choppy sound on Fedora 11 (and 10)
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: pulseaudio (Show other bugs)
11
All Linux
low Severity high
: ---
: ---
Assigned To: Lennart Poettering
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-04-28 11:20 EDT by Israel Rodríguez
Modified: 2009-10-21 01:55 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-10-20 14:40:46 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Log from pulseaudio while playing an Ogg Vorbis file (38.78 KB, text/plain)
2009-06-10 19:56 EDT, W. Michael Petullo
no flags Details

  None (edit)
Description Israel Rodríguez 2009-04-28 11:20:25 EDT
Sound doesn't works properly on Fedora 11 (and Fedora 10): when moving windows or opening menus, it becomes choppy.
Comment 1 Lennart Poettering 2009-04-30 15:45:40 EDT
Uh. If you want me to fix your problem I need more information about what's going on. Which type of sound card you have which alsa sound driver is used, which applications you use, and an output of "pulseaudio -vvvvvv" run in a terminal when this happens would be a good start. (You might need to run "pulseaudio -k" first).
Comment 2 abhijangda 2009-05-07 06:23:34 EDT
I also have same problem in Fedora 10. I have update pulseaudio to the latest version. And update didn't work for me. here's the report of pulseaudio -vvvvvv

I: caps.c: Limited capabilities successfully to CAP_SYS_NICE.
I: caps.c: Dropping root privileges.
I: caps.c: Limited capabilities successfully to CAP_SYS_NICE.
D: main.c: Started as real root: no, suid root: yes
I: main.c: PolicyKit refuses acquire-high-priority privilege.
N: main.c: Called SUID root and real-time and/or high-priority scheduling was requested in the configuration. However, we lack the necessary privileges:
N: main.c: We are not in group 'pulse-rt', PolicyKit refuse to grant us the requested privileges and we have no increase RLIMIT_NICE/RLIMIT_RTPRIO resource limits.
N: main.c: For enabling real-time/high-priority scheduling please acquire the appropriate PolicyKit privileges, or become a member of 'pulse-rt', or increase the RLIMIT_NICE/RLIMIT_RTPRIO resource limits for this user.
I: main.c: setrlimit(RLIMIT_NICE, (31, 31)) failed: Operation not permitted
I: main.c: setrlimit(RLIMIT_RTPRIO, (9, 9)) failed: Operation not permitted
D: main.c: Can realtime: no, can high-priority: no
D: main.c: Can realtime: no, can high-priority: no
I: main.c: This is PulseAudio 0.9.14
D: main.c: Compilation host: i386-redhat-linux-gnu
D: main.c: Compilation CFLAGS: -ggdb -Wall -W -Wextra -pedantic -pipe -Wno-long-long -Wvla -Wno-overlength-strings -Wconversion -Wundef -Wformat -Wlogical-op -Wpacked -Wformat-security -Wmissing-include-dirs -Wformat-nonliteral -Wold-style-definition -Wdeclaration-after-statement -Wfloat-equal -Wmissing-declarations -Wmissing-prototypes -Wstrict-prototypes -Wredundant-decls -Wmissing-noreturn -Wshadow -Wendif-labels -Wpointer-arith -Wcast-align -Wwrite-strings -Wno-unused-parameter -ffast-math
D: main.c: Running on host: Linux i686 2.6.27.5-117.fc10.i686 #1 SMP Tue Nov 18 12:19:59 EST 2008
I: main.c: Page size is 4096 bytes
D: main.c: Compiled with Valgrind support: no
D: main.c: Running in valgrind mode: no
D: main.c: Optimized build: no
I: main.c: Machine ID is 5af66b1b02733f9d5b0718b049cb5dc8.
I: main.c: Using runtime directory /home/abhi/.pulse/5af66b1b02733f9d5b0718b049cb5dc8:runtime.
I: main.c: Using state directory /home/abhi/.pulse.
I: main.c: Running in system mode: no
E: pid.c: Daemon already running.
E: main.c: pa_pid_file_create() failed.

Ans for pulseaudio-k

I: caps.c: Limited capabilities successfully to CAP_SYS_NICE.
I: caps.c: Dropping root privileges.
I: caps.c: Limited capabilities successfully to CAP_SYS_NICE.
N: main.c: Called SUID root and real-time and/or high-priority scheduling was requested in the configuration. However, we lack the necessary privileges:
N: main.c: We are not in group 'pulse-rt', PolicyKit refuse to grant us the requested privileges and we have no increase RLIMIT_NICE/RLIMIT_RTPRIO resource limits.
N: main.c: For enabling real-time/high-priority scheduling please acquire the appropriate PolicyKit privileges, or become a member of 'pulse-rt', or increase the RLIMIT_NICE/RLIMIT_RTPRIO resource limits for this user.

Help pls.
Comment 3 Lennart Poettering 2009-05-07 09:35:32 EDT
Let's please focus on the F11 case.

Please open a terminal. Run "pulseaudio -k". Then run "pulseaudio -vvvv". Then try to reproduce your issue and paste the output that is generated by the aforementiond call while the problem happens into this bug report.
Comment 4 abhijangda 2009-05-08 05:03:17 EDT
but may be it is possible that same bug is causing all those chopping sound so fixing bug will help both.
Comment 5 Bug Zapper 2009-06-09 10:42:48 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 11 development cycle.
Changing version to '11'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 6 W. Michael Petullo 2009-06-10 19:56:57 EDT
Created attachment 347315 [details]
Log from pulseaudio while playing an Ogg Vorbis file

This log was produced by pulseaudio-0.9.15-11.fc11.ppc on a PowerPC iBook. I ran the following command to play an audio file:

gst-launch filesrc location=/path/to/some.ogg ! decodebin ! audioconvert ! pulsesink
Comment 7 Adam Williamson 2009-10-20 14:40:46 EDT
these kinds of bugs generally relate to kernel driver problems, and are different for different hardware. I'm closing this one as the initial reporter never provided the requested information. Michael, we would still like to address your issue: if you're still having trouble with the latest Fedora 11 kernel and pulseaudio - please make sure you've tested with these latest updates - please file a new bug, including the pulseaudio output (please re-generate it just in case anything's changed since June) and also the output of 'alsa-info.sh --no-upload'. Thanks!

abhijangda, same instructions I have to Michael apply to you, if you can reproduce this in Fedora 11 or 12 (10 is going end-of-life next month, Lennart likely has no time to address problems like this in 10 any more). Again, please file your own bug.

-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 8 W. Michael Petullo 2009-10-21 01:55:00 EDT
I concur with comment #7. Unfortunately, I no longer have access to the hardware mentioned in comment #6.

Note You need to log in before you can comment on or make changes to this bug.